Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class IncorrectClosureArgumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.IncorrectClosureArgumentsException

All Implemented Interfaces:
  Serializable

    public class IncorrectClosureArgumentsException
    extends GroovyRuntimeException

An exception occurred when invoking a Closure with the wrong number and/or types of arguments

Version:
  $Revision: 6817 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Object` | `getArguments()`
`Closure` | `getClosure()`
`Class[]` | `getExpected()`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncorrectClosureArgumentsException

    public IncorrectClosureArgumentsException(Closure closure,
                                              Object arguments,
                                              Class[] expected)

Method Detail

### getArguments

    public Object getArguments()

### getClosure

    public Closure getClosure()

### getExpected

    public Class[] getExpected()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD